Show / Hide Table of Contents

# Struct AgentMJIPouch

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentMJIPouch

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### InventoryData

##### Declaration

    public AgentMJIPouch.PouchInventoryData*InventoryData

##### Field Value

Type | Description
--- | ---
AgentMJIPouch.PouchInventoryData* |

| Improve this Doc View Source

#### InventoryIndex

##### Declaration

    public AgentMJIPouch.PouchIndexInfo*InventoryIndex

##### Field Value

Type | Description
--- | ---
AgentMJIPouch.PouchIndexInfo* |

### Methods

| Improve this Doc View Source

#### GetInventory()

##### Declaration

    public StdVector<PouchInventoryItem>*GetInventory()

##### Returns

Type | Description
--- | ---
StdVector<PouchInventoryItem>* |

| Improve this Doc View Source

#### GetInventoryByIndex(Int32)

##### Declaration

    public StdVector<Pointer<PouchInventoryItem>>*GetInventoryByIndex(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
StdVector<Pointer<PouchInventoryItem>>* |

| Improve this Doc View Source

#### GetSelectedInventory()

##### Declaration

    public StdVector<Pointer<PouchInventoryItem>>*GetSelectedInventory()

##### Returns

Type | Description
--- | ---
StdVector<Pointer<PouchInventoryItem>>* |